classification
Title: DeprecationWarnings in test_unicode
Type: Stage: resolved
Components: Tests Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, methane, xtreak
Priority: normal Keywords: patch

Created on 2021-03-04 20:29 by ZackerySpytz, last changed 2021-03-07 06:13 by methane. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 24754 merged ZackerySpytz, 2021-03-04 20:31
Messages (3)
msg388129 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2021-03-04 20:29
./python -m test test_unicode
0:00:00 load avg: 0.33 Run tests sequentially
0:00:00 load avg: 0.33 [1/1] test_unicode
/home/lubuntu2/cpython/Lib/test/test_unicode.py:2941: DeprecationWarning: getargs: The 'u' format is deprecated. Use 'U' instead.
  self.assertEqual(unicode_encodedecimal('123'),
/home/lubuntu2/cpython/Lib/test/test_unicode.py:2943: DeprecationWarning: getargs: The 'u' format is deprecated. Use 'U' instead.
  self.assertEqual(unicode_encodedecimal('\u0663.\u0661\u0664'),
/home/lubuntu2/cpython/Lib/test/test_unicode.py:2945: DeprecationWarning: getargs: The 'u' format is deprecated. Use 'U' instead.
  self.assertEqual(unicode_encodedecimal("\N{EM SPACE}3.14\N{EN SPACE}"),
/home/lubuntu2/cpython/Lib/unittest/case.py:201: DeprecationWarning: getargs: The 'u' format is deprecated. Use 'U' instead.
  callable_obj(*args, **kwargs)
/home/lubuntu2/cpython/Lib/test/test_unicode.py:2958: DeprecationWarning: getargs: The 'u' format is deprecated. Use 'U' instead.
  self.assertEqual(transform_decimal('123'),
/home/lubuntu2/cpython/Lib/test/test_unicode.py:2960: DeprecationWarning: getargs: The 'u' format is deprecated. Use 'U' instead.
  self.assertEqual(transform_decimal('\u0663.\u0661\u0664'),
/home/lubuntu2/cpython/Lib/test/test_unicode.py:2962: DeprecationWarning: getargs: The 'u' format is deprecated. Use 'U' instead.
  self.assertEqual(transform_decimal("\N{EM SPACE}3.14\N{EN SPACE}"),
/home/lubuntu2/cpython/Lib/test/test_unicode.py:2964: DeprecationWarning: getargs: The 'u' format is deprecated. Use 'U' instead.
  self.assertEqual(transform_decimal('123\u20ac'),

== Tests result: SUCCESS ==

1 test OK.

Total duration: 12.8 sec
Tests result: SUCCESS
msg388142 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2021-03-05 01:27
The changes were introduced in https://bugs.python.org/issue36346
msg388225 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2021-03-07 06:12
New changeset 8aabfa8550692a76d8a96e138c48faf5a7b2752c by Zackery Spytz in branch 'master':
bpo-43405: Fix DeprecationWarnings in test_unicode (GH-24754)
https://github.com/python/cpython/commit/8aabfa8550692a76d8a96e138c48faf5a7b2752c
History
Date User Action Args
2021-03-07 06:13:11methanesetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-03-07 06:12:41methanesetmessages: + msg388225
2021-03-05 01:27:05xtreaksetnosy: + xtreak, methane
messages: + msg388142
2021-03-04 20:31:33ZackerySpytzsetkeywords: + patch
stage: patch review
pull_requests: + pull_request23525
2021-03-04 20:29:15ZackerySpytzcreate